osl::Square8 Struct Reference

`#include <square8.h>`

Inheritance diagram for osl::Square8:

## Public Types

typedef FixedCapacityVector< uint8_t, 8 > | base_t
Public Types inherited from osl::FixedCapacityVector< uint8_t, 8 >
typedef array_t::value_type | value_type
typedef array_t::iterator | iterator
typedef array_t::const_iterator | const_iterator

## Public Member Functions

void | push_back (Square position)
bool | isMember (Square position) const
const Square | operator[] (size_t i) const
Public Member Functions inherited from osl::FixedCapacityVector< uint8_t, 8 >
| FixedCapacityVector ()
| FixedCapacityVector (size_t size)
| FixedCapacityVector (FixedCapacityVector const &rhs)
| FixedCapacityVector (const RangeIterator &first, const RangeIterator &last)
| ~FixedCapacityVector ()
FixedCapacityVector & | operator= (FixedCapacityVector const &rhs)
uint8_t & | operator[] (size_t i)
iterator | begin ()
iterator | end ()
uint8_t & | front ()
uint8_t & | back ()
void | push_back (const uint8_t &e)
void | push_back (const RangeIterator &first, const RangeIterator &last)
void | pop_back ()
void | clear ()
void | resize (size_t new_length)
void | erase (const uint8_t &e)
void | unique ()
| 重複する要素を取り除く
size_t | size () const
bool | empty () const
size_t | capacity () const
uint8_t const & | operator[] (size_t i) const
const_iterator | begin () const
const_iterator | end () const
const uint8_t & | front () const
const uint8_t & | back () const
bool | isMember (const uint8_t &e, const_iterator first, const_iterator last) const
bool | isMember (const uint8_t &e) const
detail::FixedCapacityVectorPushBack< uint8_t > | pushBackHelper ()

## Additional Inherited Members

Protected Types inherited from osl::FixedCapacityVector< uint8_t, 8 >
typedef Array | array_t
Protected Attributes inherited from osl::FixedCapacityVector< uint8_t, 8 >
uint8_t * | ptr
CArray< int64_t,(sizeof(uint8_t[Capacity])+sizeof(int64_t) -1)/sizeof(int64_t)> | relements

## Detailed Description

Definition at line 15 of file square8.h.

## Member Typedef Documentation

## base_t

typedef FixedCapacityVector<uint8_t,8> osl::container::Square8::base_t

Definition at line 17 of file square8.h.

## Member Function Documentation

## isMember()

bool osl::container::Square8::isMember | ( | Square | position | ) | const

inline

Definition at line 22 of file square8.h.

## operator[]()

const Square osl::container::Square8::operator[] | ( | size_t | i | ) | const

inline

Definition at line 26 of file square8.h.

## push_back()

void osl::container::Square8::push_back | ( | Square | position | ) |

inline

Definition at line 18 of file square8.h.

The documentation for this struct was generated from the following file:

- square8.h